Bug 219225 - file permissions on /usr/lib64/perl5/vendor_perl/5.8.5/x86_64-linux-thread-multi/Net/DNS/ are 700, so user running httpd cannot use
file permissions on /usr/lib64/perl5/vendor_perl/5.8.5/x86_64-linux-thread-mu...
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: perl-Net-DNS (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Depends On:
  Show dependency treegraph
Reported: 2006-12-11 18:31 EST by Paul DeStefano
Modified: 2010-02-22 08:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-02-22 08:16:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul DeStefano 2006-12-11 18:31:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1) Gecko/20061010 Firefox/2.0

Description of problem:
I think the file permissions on the DNS directory as distributed in the offical RPM is wrong.  Only root can see it or use it, so the httpd user cannot.

# ls -ld /usr/lib64/perl5/vendor_perl/5.8.5/x86_64-linux-thread-multi/Net/DNS/
drwx------  4 root root 4096 Dec 11 13:10 /usr/lib64/perl5/vendor_perl/5.8.5/x86_64-linux-thread-multi/Net/DNS/

I would have downloaded the source RPM to check the spec file, but that was not available over u2date channels, which is also odd.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. up2date --install perl-Net-DNS
2. perl -e 'use Net::DNS::Resolver ;'
3. su - <any non-root user>
4. perl -e 'use Net::DNS::Resolver ;'

Actual Results:
[root@<server>]# su - web -c "perl -e 'use Net::DNS::Resolver ;'"
Can't locate Net/DNS/Resolver.pm in @INC (@INC contains: /usr/lib64/perl5/5.8.5/x86_64-linux-thread-multi /usr/lib/perl5/5.8.5 /usr/lib64/perl5/site_perl/5.8.5/x86_64-linux-thread-multi /usr/lib64/perl5/site_perl/5.8.4/x86_64-linux-thread-multi /usr/lib64/perl5/site_perl/5.8.3/x86_64-linux-thread-multi /usr/lib64/perl5/site_perl/5.8.2/x86_64-linux-thread-multi /usr/lib64/perl5/site_perl/5.8.1/x86_64-linux-thread-multi /usr/lib64/perl5/site_perl/5.8.0/x86_64-linux-thread-multi /usr/lib/perl5/site_perl/5.8.5 /usr/lib/perl5/site_perl/5.8.4 /usr/lib/perl5/site_perl/5.8.3 /usr/lib/perl5/site_perl/5.8.2 /usr/lib/perl5/site_perl/5.8.1 /usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl /usr/lib64/perl5/vendor_perl/5.8.5/x86_64-linux-thread-multi /usr/lib64/perl5/vendor_perl/5.8.4/x86_64-linux-thread-multi /usr/lib64/perl5/vendor_perl/5.8.3/x86_64-linux-thread-multi /usr/lib64/perl5/vendor_perl/5.8.2/x86_64-linux-thread-multi /usr/lib64/perl5/vendor_perl/5.8.1/x86_64-linux-thread-multi /usr/lib64/perl5/vendor_perl/5.8.0/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.5 /usr/lib/perl5/vendor_perl/5.8.4 /usr/lib/perl5/vendor_perl/5.8.3 /usr/lib/perl5/vendor_perl/5.8.2 /usr/lib/perl5/vendor_perl/5.8.1 /usr/lib/perl5/vendor_perl/5.8.0 /usr/lib/perl5/vendor_perl .) at -e line 1.
BEGIN failed--compilation aborted at -e line 1.

Expected Results:
That command should run with no output, rc = 0;

[root@<server>]# perl -e 'use Net::DNS::Resolver ;' ; echo $?

Additional info:
Comment 1 Paul DeStefano 2006-12-11 18:39:41 EST
Looks like subdirectories of DNS/ are also not set correctly.

Comment 2 RHEL Product and Program Management 2008-10-31 12:49:22 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 3 Marcela Mašláňová 2010-02-22 08:16:59 EST
The last planned update of RHEL-4 will be focused on performance and security bugs only. This should be fixed in next release.

Note You need to log in before you can comment on or make changes to this bug.